<div class="canvas-wrapper">
    <div class="canvas-container">
        <canvas #myCanvas [width]="canvasOptions.width" [height]="canvasOptions.height">
        </canvas>
    </div>
    <div class="box-action">
        <div>
            <input type="file" class="upload-image" (change)="uploadImage($event)">
        </div>
        <div class="box-action-buttons">
            <button (click)="removeFromCanvas()">clear canvas</button>
            <br>
            <span>Invert Selection </span><input type="checkbox" (ngModelChange)="handleInverted()"
                                                 [(ngModel)]="inverted">
            <button (click)="reset()">Reset Color Range</button>
        </div>
        <div class="general-settings">
            <span>H Max: {{colorSelectors.hueMax}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                 class="slider" min=0 max="360"
                                                                 [(ngModel)]="colorSelectors.hueMax">
            <span>H Min: {{colorSelectors.hueMin}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                 class="slider" min=0 max="360"
                                                                 [(ngModel)]="colorSelectors.hueMin">

            <span>S Max: {{colorSelectors.saturationMax}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                        class="slider" min=0 max="100"
                                                                        [(ngModel)]="colorSelectors.saturationMax">
            <span>S Min: {{colorSelectors.saturationMin}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                        class="slider" min=0 max="100"
                                                                        [(ngModel)]="colorSelectors.saturationMin">
            <span>V Min: {{colorSelectors.valueMin}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                   class="slider" min=0 max="100"
                                                                   [(ngModel)]="colorSelectors.valueMin">
            <span>V Max : {{colorSelectors.valueMax}}</span> <input (ngModelChange)="onBarChange()" type="range"
                                                                    class="slider" min=0 max="100"
                                                                    [(ngModel)]="colorSelectors.valueMax">
        </div>
    </div>

    <div class="canvas-container">
        <canvas #originalImage [width]="canvasOptions.width" [height]="canvasOptions.height">
        </canvas>
    </div>
    <div class="box-action">
        <table *ngIf="colorSelectors" id="table-color-range-values">
            <tr>
                <th>Color</th>
                <th>Min Value</th>
                <th>Max Value</th>
            </tr>
            <tr>
                <td>H</td>
                <td>{{colorSelectors.hueMin}}°</td>
                <td>{{colorSelectors.hueMax}}°</td>
            </tr>
            <tr>
                <td>S</td>
                <td>{{colorSelectors.saturationMin}}%</td>
                <td>{{colorSelectors.saturationMax}}%</td>
            </tr>
            <tr>
                <td>V</td>
                <td>{{colorSelectors.valueMin}}%</td>
                <td>{{colorSelectors.valueMax}}%</td>
            </tr>
        </table>

        <div class="current-pixel-container">
            <div *ngIf=currentPixel class="color-info" [style.background-color]="currentPixel">
                <p>{{currentPixel}}</p>
                <p>{{currentPixelHsv}}</p>
            </div>
        </div>
    </div>

</div>
